package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;
import com.zjrs.ggfw.portal.dto.common.PageDTO;

import jakarta.validation.constraints.NotBlank;

public class SjxxQueryDTO extends PageDTO implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "阅读状态")
    private String ydzt;
    
    @ApiModelProperty(value = "有效标志")
    @NotBlank(message = "有效标志不能为空")
    private String tsyxbz;
    
    @ApiModelProperty(value = "用户ID")
    private String userid;

	public String getYdzt() {
		return ydzt;
	}

	public void setYdzt(String ydzt) {
		this.ydzt = ydzt;
	}

	public String getTsyxbz() {
		return tsyxbz;
	}

	public void setTsyxbz(String tsyxbz) {
		this.tsyxbz = tsyxbz;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}
}

